Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class PKIData

    java.lang.Object
      org.mozilla.jss.pkix.cmc.PKIData

All Implemented Interfaces:
  ASN1Value

    public class PKIData

extends java.lang.Object
implements ASN1Value

A PKIData for CMC full enrollment request. PKIData ::= SEQUENCE { controlSequence SEQUENCE SIZE(0..MAX) OF TaggedAttribute, reqSequence SEQUENCE SIZE(0..MAX) OF TaggedRequest, cmsSequence SEQUENCE SIZE(0..MAX) OF TaggedContentInfo, otherMsgSequence SEQUENCE SIZE(0..MAX) OF OtherMsg }

Nested Class Summary
`static class` | `PKIData.Template` A template for decoding an PKIData from its BER encoding.

Constructor Summary
`PKIData(SEQUENCE controlSequence, SEQUENCE reqSequence, SEQUENCE cmsSequence, SEQUENCE otherMsgSequence)` Constructs a PKIData from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`SEQUENCE` | `getCmsSequence()`
`SEQUENCE` | `getControlSequence()`
`SEQUENCE` | `getOtherMsgSequence()`
`SEQUENCE` | `getReqSequence()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static PKIData.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIData

    public PKIData(SEQUENCE controlSequence,
                   SEQUENCE reqSequence,
                   SEQUENCE cmsSequence,
                   SEQUENCE otherMsgSequence)

  Constructs a PKIData from its components.

  Parameters:
    `controlSequence` - Sequence of TagggedAttribute.
    `reqSequence` - Sequence of TagggedRequest.
    `cmsSequence` - Sequence of TagggedContentInfo.
    `otherMsgSequence` - Sequence of OtherMsg.

Method Detail

### getControlSequence

    public SEQUENCE getControlSequence()

### getReqSequence

    public SEQUENCE getReqSequence()

### getCmsSequence

    public SEQUENCE getCmsSequence()

### getOtherMsgSequence

    public SEQUENCE getOtherMsgSequence()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### getTemplate

    public static PKIData.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD